> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fungible trades

> Get recent trades for a specific fungible within a timeframe. Returns trades ordered by timestamp (most recent first).

## Node.js SDK

🔗 **SDK Method:** [fetchFungibleTrades](/nodejs-sdk/onchain-apis/fetchFungibleTrades)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml get /v2/farcaster/fungible/trades/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/farcaster/fungible/trades/:
    get:
      tags:
        - Onchain
      summary: Get fungible trades
      description: >-
        Get recent trades for a specific fungible within a timeframe. Returns
        trades ordered by timestamp (most recent first).
      operationId: fetch-fungible-trades
      parameters:
        - in: query
          name: network
          required: true
          schema:
            enum:
              - base
            type: string
        - description: Contract address
          in: query
          name: address
          required: true
          schema:
            type: string
        - description: Time window for trades e.g. "1h", "6h", "12h", "24h", "7d"
          in: query
          name: time_window
          schema:
            default: 24h
            enum:
              - 1h
              - 6h
              - 12h
              - 24h
              - 7d
            type: string
        - description: Minimum USD amount to filter trades
          in: query
          name: min_amount_usd
          schema:
            type: number
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  object:
                    enum:
                      - fungible_trades
                    type: string
                  trades:
                    items:
                      properties:
                        object:
                          enum:
                            - trade
                          type: string
                        pool:
                          properties:
                            address:
                              type: string
                            object:
                              enum:
                                - pool
                              type: string
                            protocol_family:
                              type: string
                            protocol_version:
                              type: string
                          required:
                            - object
                            - address
                          type: object
                        trader:
                          $ref: '#/components/schemas/UserDehydrated'
                        transaction:
                          properties:
                            hash:
                              type: string
                            net_transfer:
                              properties:
                                object:
                                  enum:
                                    - net_transfer
                                  type: string
                                receiving_fungible:
                                  $ref: '#/components/schemas/FungibleBalance'
                                sending_fungible:
                                  $ref: '#/components/schemas/FungibleBalance'
                              required:
                                - object
                                - receiving_fungible
                                - sending_fungible
                              type: object
                            network:
                              properties:
                                name:
                                  type: string
                                object:
                                  enum:
                                    - network
                                  type: string
                              required:
                                - object
                                - name
                              type: object
                          required:
                            - hash
                            - network
                            - net_transfer
                          type: object
                      required:
                        - object
                        - trader
                        - transaction
                      type: object
                    type: array
                required:
                  - object
                  - trades
                type: object
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Server Error
      externalDocs:
        url: https://docs.neynar.com/reference/fetch-fungible-trades
components:
  schemas:
    UserDehydrated:
      properties:
        custody_address:
          $ref: '#/components/schemas/EthAddress'
        display_name:
          nullable: true
          type: string
        fid:
          $ref: '#/components/schemas/Fid'
        object:
          enum:
            - user_dehydrated
          type: string
        pfp_url:
          nullable: true
          type: string
        score:
          type: number
        username:
          type: string
      required:
        - object
        - fid
      title: UserDehydrated
      type: object
    FungibleBalance:
      properties:
        balance:
          properties:
            in_token:
              type: string
            in_usd:
              nullable: true
              type: number
          required:
            - in_usd
            - in_token
          type: object
        object:
          enum:
            - fungible_balance
          type: string
        token:
          $ref: '#/components/schemas/Fungible'
      required:
        - object
        - token
        - balance
      title: FungibleBalance
      type: object
    ErrorRes:
      description: Details for the error response
      properties:
        code:
          type: string
        message:
          type: string
        property:
          type: string
        status:
          format: int32
          type: integer
      required:
        - message
      title: ErrorRes
      type: object
    EthAddress:
      description: Ethereum address
      example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
      pattern: ^0x[a-fA-F0-9]{40}$
      title: EthAddress
      type: string
    Fid:
      description: The unique identifier of a farcaster user or app (unsigned integer)
      example: 3
      format: int32
      minimum: 0
      title: Fid
      type: integer
    Fungible:
      properties:
        address:
          description: The contract address of the token
          type: string
        decimals:
          description: The number of decimals the token uses
          type: integer
        logo:
          description: The logo URL of the token
          nullable: true
          type: string
        name:
          description: The token name e.g. "Ethereum"
          type: string
        network:
          $ref: '#/components/schemas/Network'
        object:
          enum:
            - fungible
          type: string
        symbol:
          description: The token symbol e.g. "ETH"
          type: string
        total_supply:
          description: The total supply of the token
          nullable: true
          type: string
      required:
        - object
        - network
        - name
        - symbol
        - address
        - decimals
        - total_supply
        - logo
      title: Fungible
      type: object
    Network:
      description: A blockchain network e.g. "ethereum", "optimism", "base", "arbitrum"
      enum:
        - ethereum
        - optimism
        - base
        - arbitrum
      title: Network
      type: string
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````